
Redmine - Defect #7954

IE 9 can not select issues, does not display context menu

2011-03-21 23:42 - Michael Russo

Status: Closed Start date: 2011-03-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version:  

Description

I'm sorry, but I don't have administrative access to the Redmine server to give its version info, so I can't give the detailed information

requested from SubmittingBugs

I can verify that the same problem I'm having is present on the official Redmine.org page and demo page, though.

The problem is that, when viewing the Issues page in Internet Explorer 9, many of the UI functions don't work, such as the "select all"

checkbox, clicking on (the white space of) individual issues to select them, or right-clicking to bring up a context menu.

Fortunately, these functions still work in IE Compatibility Mode, and in other browsers like Firefox 4, etc.

Related issues:

Has duplicate Redmine - Defect #8224: Menu does not show on IE 9 beta Closed 2011-04-25

Associated revisions

Revision 5469 - 2011-04-15 16:14 - Jean-Philippe Lang

Upgrades prototype.js to 1.7.0.0 (#7954).

Revision 5586 - 2011-04-29 09:38 - Jean-Philippe Lang

Fixes Prototypejs Form.serialize() for multiple selects (#7954).

History

#1 - 2011-03-22 19:12 - Jean-Philippe Lang

Upgrading prototype.js that comes with Redmine to the latest release (1.7.0.0) seems to fix the problem with IE9. It's available here:

https://ajax.googleapis.com/ajax/libs/prototype/1.7.0.0/prototype.js

Feedback is welcome before committing the upgrade.

#2 - 2011-03-22 19:33 - Jean-Philippe Lang

Prototype 1.7.0.0 breaks the issue list filters.

#3 - 2011-03-22 19:50 - Etienne Massip

Most of the js files look to come from http://script.aculo.us/downloads, shouldn't they be all updated together ?

#4 - 2011-03-22 19:54 - Jean-Philippe Lang

The problem on the issue list is a pure prototype 1.7 issue, not scriptaculous.

Here is the bug that breaks it: https://prototype.lighthouseapp.com/projects/8886-prototype/tickets/1180 or 

https://prototype.lighthouseapp.com/projects/8886-prototype/tickets/1212

#5 - 2011-03-22 20:00 - Etienne Massip

Apply the patch ? :/

#6 - 2011-03-23 20:38 - Jean-Philippe Lang

- File prototype.js added

- Target version set to 1.1.3

The patch solves the problem indeed. Patched 1.7 prototypejs is attached.
I think this fix is highly needed for 1.1.3.

#7 - 2011-03-25 19:51 - Jean-Philippe Lang

I'm not very enthusiastic about committing a patched prototype library but I don't see any other option.

I've been using this patched 1.7 for 2 days and didn't find any issue.

#8 - 2011-03-28 09:18 - Etienne Massip

Same, with FF4, no glitch seen.

#9 - 2011-04-14 15:31 - Vincent Frédérick

Just wanted to add it works fine in IE10 with Redmine 1.0.3

#10 - 2011-04-15 16:18 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Prototype ugraded to 1.7.0.0 in r5469.

The patch is no longer required in trunk since the issue filters form is now submitted using a regular form (non-AJAX).

The patch should still be applied in 1.1-stable.

#11 - 2011-04-29 10:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

1.1-stable upgraded to the patched Prototype 1.7.0.0.

Files

prototype.js 168 KB 2011-03-23 Jean-Philippe Lang
